// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/auth/login": {
            "post": {
                "description": "Login user",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "auth"
                ],
                "summary": "Login User",
                "parameters": [
                    {
                        "description": "User credentials",
                        "name": "credentials",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.LoginIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.TokensOut"
                        }
                    }
                }
            }
        },
        "/auth/refresh": {
            "post": {
                "description": "Refresh tokens",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "auth"
                ],
                "summary": "Refresh Token",
                "parameters": [
                    {
                        "description": "Refresh tokens",
                        "name": "credentials",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.TokenIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.TokensOut"
                        }
                    }
                }
            }
        },
        "/auth/register": {
            "post": {
                "description": "Registration user",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "auth"
                ],
                "summary": "Registration user",
                "parameters": [
                    {
                        "description": "User credentials",
                        "name": "credentials",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.RegistrationIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.TokensOut"
                        }
                    }
                }
            }
        },
        "/bookings/{id}": {
            "delete": {
                "description": "Unbooking tour, send email notification",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "bookings"
                ],
                "summary": "Unbooking tour",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Booking ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/responses.SuccessOK"
                        }
                    }
                }
            }
        },
        "/feedbacks/photos": {
            "post": {
                "description": "Upload photo to feedback",
                "consumes": [
                    "multipart/form-data"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "feedbacks"
                ],
                "summary": "Upload photo to feedback",
                "parameters": [
                    {
                        "type": "file",
                        "description": "Photo File",
                        "name": "photo",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.FeedbackPhotoOut"
                        }
                    }
                }
            },
            "delete": {
                "description": "delete photo in feedback",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "feedbacks"
                ],
                "summary": "Delete photo in feedback",
                "parameters": [
                    {
                        "description": "Photo Data",
                        "name": "photoData",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.FeedbackPhotoIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/responses.SuccessOK"
                        }
                    }
                }
            }
        },
        "/guide": {
            "get": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Get tour info",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "guide"
                ],
                "summary": "Get tour",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.SelfGuideOut"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Update guide info",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "guide"
                ],
                "summary": "Update guide info",
                "parameters": [
                    {
                        "description": "Updated Fields",
                        "name": "fields",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/dto.GuideIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.GuideOut"
                        }
                    }
                }
            }
        },
        "/guide/avatar": {
            "post": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Upload guide avatar",
                "consumes": [
                    "multipart/form-data"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "guide"
                ],
                "summary": "Upload guide avatar",
                "parameters": [
                    {
                        "type": "file",
                        "description": "Photo File",
                        "name": "avatar",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.AvatarOut"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Delete guide avatar",
                "consumes": [
                    "multipart/form-data"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "guide"
                ],
                "summary": "Delete guide avatar",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.AvatarOut"
                        }
                    }
                }
            }
        },
        "/guide/tours": {
            "get": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Get guide tourService pagination",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "guide"
                ],
                "summary": "Get guide tours",
                "parameters": [
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "offset",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.ToursListOut"
                        }
                    }
                }
            }
        },
        "/guides/{id}": {
            "get": {
                "description": "Get guide info",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "guides"
                ],
                "summary": "Get guide info",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Guide ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.GuideOut"
                        }
                    }
                }
            }
        },
        "/guides/{id}/estimations": {
            "get": {
                "description": "Get guide estimations",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "guides"
                ],
                "summary": "Get guide estimations",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Guide ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.GuideEstimationsOut"
                        }
                    }
                }
            }
        },
        "/guides/{id}/tours": {
            "get": {
                "description": "Get tourService by guide with pagination",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "guides"
                ],
                "summary": "Get Tours by guide",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Guide ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "offset",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.ToursListOut"
                        }
                    }
                }
            }
        },
        "/moderation/feedbacks": {
            "get": {
                "description": "Get all feedbacks",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "moderation"
                ],
                "summary": "Get all feedbacks",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.FeedbackListOut"
                        }
                    }
                }
            }
        },
        "/moderation/guides": {
            "get": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Get unmoderated guides",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "moderation"
                ],
                "summary": "Get unmoderated guides",
                "parameters": [
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "offset",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.GuidesListOut"
                        }
                    }
                }
            }
        },
        "/moderation/guides/{id}": {
            "post": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Moderate guide",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "moderation"
                ],
                "summary": "Moderate guide",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Guide ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Moderate guide",
                        "name": "moderateIn",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ModerateIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/responses.SuccessOK"
                        }
                    }
                }
            }
        },
        "/moderation/tours": {
            "get": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Get unmoderated tours",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "moderation"
                ],
                "summary": "Get unmoderated tours",
                "parameters": [
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "offset",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.ToursListOut"
                        }
                    }
                }
            }
        },
        "/moderation/tours/{id}": {
            "post": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Moderate tour",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "moderation"
                ],
                "summary": "Moderate tour",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Moderate tour",
                        "name": "moderateIn",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.ModerateIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/responses.SuccessOK"
                        }
                    }
                }
            }
        },
        "/tags": {
            "get": {
                "description": "Get tags",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tags"
                ],
                "summary": "Get tags",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.TagsOut"
                        }
                    }
                }
            }
        },
        "/tours": {
            "get": {
                "description": "Get tours with filters and pagination",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tours"
                ],
                "summary": "Get Tours",
                "parameters": [
                    {
                        "type": "string",
                        "name": "city",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "country",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "end_date",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "end_time",
                        "in": "query"
                    },
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "offset",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "name": "participants",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "name": "price_limit",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "start_date",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "name": "start_time",
                        "in": "query"
                    },
                    {
                        "type": "array",
                        "items": {
                            "type": "string"
                        },
                        "collectionFormat": "multi",
                        "name": "tags",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.ToursListOut"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Create tour",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tours"
                ],
                "summary": "Create tour",
                "parameters": [
                    {
                        "description": "Tour data",
                        "name": "tourData",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.TourCreateIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.TourOut"
                        }
                    }
                }
            }
        },
        "/tours/photos": {
            "post": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Upload photo",
                "consumes": [
                    "multipart/form-data"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tours"
                ],
                "summary": "Upload photo",
                "parameters": [
                    {
                        "type": "file",
                        "description": "Photo File",
                        "name": "photo",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.PhotoOut"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "delete photo",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tours"
                ],
                "summary": "Delete photo",
                "parameters": [
                    {
                        "description": "Photo Data",
                        "name": "photoData",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.PhotoIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/responses.SuccessOK"
                        }
                    }
                }
            }
        },
        "/tours/{id}": {
            "get": {
                "description": "Get tour info",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tours"
                ],
                "summary": "Get tour",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.TourOut"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Update tour",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tours"
                ],
                "summary": "Update tour",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Tour data",
                        "name": "tourData",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.TourCreateIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/responses.SuccessOK"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Delete tour",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tours"
                ],
                "summary": "Delete tour",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/responses.SuccessOK"
                        }
                    }
                }
            }
        },
        "/tours/{id}/estimations": {
            "get": {
                "description": "Get tour estimations",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tours"
                ],
                "summary": "Get tour estimations",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.TourEstimationsOut"
                        }
                    }
                }
            }
        },
        "/tours/{id}/feedbacks": {
            "get": {
                "description": "Get tour feedbacks",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "tours"
                ],
                "summary": "Get tour feedbacks",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.FeedbackListOut"
                        }
                    }
                }
            },
            "post": {
                "description": "Create feedback",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "feedbacks"
                ],
                "summary": "Create feedback",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Booking ID",
                        "name": "booking_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "description": "Feedback Data",
                        "name": "feedbackData",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.FeedbackIn"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/responses.SuccessOK"
                        }
                    }
                }
            }
        },
        "/tours/{tour_id}/times/{time_id}/bookings": {
            "get": {
                "security": [
                    {
                        "BearerAuth": []
                    }
                ],
                "description": "Get bookings items of tour",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "bookings"
                ],
                "summary": "Get bookings items of tour",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "tour_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Time ID",
                        "name": "time_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "minimum": 0,
                        "type": "integer",
                        "name": "offset",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.BookingListOut"
                        }
                    }
                }
            },
            "post": {
                "description": "Booking tour, send email notification",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "bookings"
                ],
                "summary": "Booking tour",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "tour_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Time ID",
                        "name": "time_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Booking Credentials",
                        "name": "credentials",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/dto.BookingCredentials"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/responses.SuccessOK"
                        }
                    }
                }
            }
        },
        "/tours/{tour_id}/times/{time_id}/bookings/count": {
            "get": {
                "description": "Get bookings count in tour",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "bookings"
                ],
                "summary": "Get bookings count in tour",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Tour ID",
                        "name": "tour_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Time ID",
                        "name": "time_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/dto.BookingCountOut"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "dto.AvatarOut": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "path": {
                    "type": "string"
                }
            }
        },
        "dto.BookingCountOut": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                }
            }
        },
        "dto.BookingCredentials": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "participants_count": {
                    "type": "integer"
                }
            }
        },
        "dto.BookingInListOut": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "participants_count": {
                    "type": "integer"
                }
            }
        },
        "dto.BookingListOut": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.BookingInListOut"
                    }
                }
            }
        },
        "dto.EstimationsCountOut": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                }
            }
        },
        "dto.EstimationsIn": {
            "type": "object",
            "properties": {
                "adrenaline": {
                    "type": "boolean"
                },
                "bad_weather": {
                    "type": "boolean"
                },
                "boring": {
                    "type": "boolean"
                },
                "comfortable": {
                    "type": "boolean"
                },
                "entertainment": {
                    "type": "boolean"
                },
                "interesting": {
                    "type": "boolean"
                },
                "know_everything": {
                    "type": "boolean"
                },
                "know_nothing": {
                    "type": "boolean"
                },
                "not_heard": {
                    "type": "boolean"
                },
                "not_impressed": {
                    "type": "boolean"
                },
                "picturesque": {
                    "type": "boolean"
                },
                "uncomfortable": {
                    "type": "boolean"
                }
            }
        },
        "dto.FeedbackIn": {
            "type": "object",
            "properties": {
                "comment": {
                    "type": "string"
                },
                "estimations": {
                    "$ref": "#/definitions/dto.EstimationsIn"
                },
                "guide_rating": {
                    "type": "integer"
                },
                "photos": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.FeedbackPhotoIn"
                    }
                },
                "tour_rating": {
                    "type": "integer"
                }
            }
        },
        "dto.FeedbackInList": {
            "type": "object",
            "properties": {
                "adrenaline": {
                    "type": "boolean"
                },
                "bad_weather": {
                    "type": "boolean"
                },
                "comfortable": {
                    "type": "boolean"
                },
                "comment": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "not_impressed": {
                    "type": "boolean"
                },
                "photos": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "picturesque": {
                    "type": "boolean"
                },
                "tour_rating": {
                    "type": "integer"
                },
                "uncomfortable": {
                    "type": "boolean"
                }
            }
        },
        "dto.FeedbackListOut": {
            "type": "object",
            "properties": {
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.FeedbackInList"
                    }
                }
            }
        },
        "dto.FeedbackPhotoIn": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                }
            }
        },
        "dto.FeedbackPhotoOut": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "path": {
                    "type": "string"
                }
            }
        },
        "dto.GuideEstimationsOut": {
            "type": "object",
            "properties": {
                "boring": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "entertainment": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "guide_rating": {
                    "type": "number"
                },
                "interesting": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "know_everything": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "know_nothing": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "not_heard": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                }
            }
        },
        "dto.GuideIn": {
            "type": "object",
            "properties": {
                "bio": {
                    "type": "string"
                },
                "first_name": {
                    "type": "string"
                },
                "last_name": {
                    "type": "string"
                }
            }
        },
        "dto.GuideOut": {
            "type": "object",
            "properties": {
                "avatar": {
                    "type": "string"
                },
                "bio": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "first_name": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "last_name": {
                    "type": "string"
                },
                "moderate_status": {
                    "type": "string"
                }
            }
        },
        "dto.GuidesListOut": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.GuideOut"
                    }
                }
            }
        },
        "dto.LoginIn": {
            "type": "object",
            "required": [
                "email",
                "password"
            ],
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "dto.ModerateIn": {
            "type": "object",
            "required": [
                "status"
            ],
            "properties": {
                "comment": {
                    "type": "string"
                },
                "status": {
                    "type": "string",
                    "enum": [
                        "approved",
                        "rejected"
                    ]
                }
            }
        },
        "dto.PhotoIn": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "type": "string"
                }
            }
        },
        "dto.PhotoOut": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "path": {
                    "type": "string"
                }
            }
        },
        "dto.RegistrationIn": {
            "type": "object",
            "required": [
                "email",
                "first_name",
                "last_name",
                "password"
            ],
            "properties": {
                "email": {
                    "type": "string"
                },
                "first_name": {
                    "type": "string"
                },
                "last_name": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "dto.SelfGuideOut": {
            "type": "object",
            "properties": {
                "avatar": {
                    "type": "string"
                },
                "bio": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "email": {
                    "type": "string"
                },
                "first_name": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "last_name": {
                    "type": "string"
                },
                "moderate_status": {
                    "type": "string"
                }
            }
        },
        "dto.TagIn": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "type": "string"
                }
            }
        },
        "dto.TagOut": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "dto.TagsOut": {
            "type": "object",
            "properties": {
                "tags": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.TagOut"
                    }
                }
            }
        },
        "dto.TimeIn": {
            "type": "object",
            "required": [
                "end_time",
                "start_time"
            ],
            "properties": {
                "end_time": {
                    "type": "string"
                },
                "start_time": {
                    "type": "string"
                }
            }
        },
        "dto.TokenIn": {
            "type": "object",
            "required": [
                "refresh_token"
            ],
            "properties": {
                "refresh_token": {
                    "type": "string"
                }
            }
        },
        "dto.TokensOut": {
            "type": "object",
            "properties": {
                "access_token": {
                    "type": "string"
                },
                "refresh_token": {
                    "type": "string"
                }
            }
        },
        "dto.TourCreateIn": {
            "type": "object",
            "required": [
                "city",
                "country",
                "description",
                "email_message",
                "max_participants",
                "price",
                "short_description",
                "times",
                "title"
            ],
            "properties": {
                "city": {
                    "type": "string"
                },
                "country": {
                    "type": "string"
                },
                "description": {
                    "type": "string"
                },
                "email_message": {
                    "type": "string"
                },
                "max_participants": {
                    "description": "TODO: complex validation",
                    "type": "integer"
                },
                "photos": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.PhotoIn"
                    }
                },
                "price": {
                    "type": "integer"
                },
                "short_description": {
                    "type": "string"
                },
                "tags": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.TagIn"
                    }
                },
                "times": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.TimeIn"
                    }
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "dto.TourEstimationsOut": {
            "type": "object",
            "properties": {
                "adrenaline": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "bad_weather": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "comfortable": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "not_impressed": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "picturesque": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                },
                "tour_rating": {
                    "type": "number"
                },
                "uncomfortable": {
                    "$ref": "#/definitions/dto.EstimationsCountOut"
                }
            }
        },
        "dto.TourInListOut": {
            "type": "object",
            "properties": {
                "city": {
                    "type": "string"
                },
                "country": {
                    "type": "string"
                },
                "end_time": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "photo": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                },
                "short_description": {
                    "type": "string"
                },
                "start_time": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "dto.TourOut": {
            "type": "object",
            "properties": {
                "country": {
                    "type": "string"
                },
                "description": {
                    "type": "string"
                },
                "email_message": {
                    "type": "string"
                },
                "guide_id": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "max_participants": {
                    "type": "integer"
                },
                "moderation_status": {
                    "type": "string"
                },
                "photos": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.PhotoOut"
                    }
                },
                "price": {
                    "type": "integer"
                },
                "region": {
                    "type": "string"
                },
                "short_description": {
                    "type": "string"
                },
                "tags": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.TourTagOut"
                    }
                },
                "times": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.TourTimeOut"
                    }
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "dto.TourTagOut": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "dto.TourTimeOut": {
            "type": "object",
            "properties": {
                "end_time": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "start_time": {
                    "type": "string"
                }
            }
        },
        "dto.ToursListOut": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/dto.TourInListOut"
                    }
                }
            }
        },
        "responses.SuccessOK": {
            "type": "object",
            "properties": {
                "success": {
                    "type": "string"
                }
            }
        }
    },
    "securityDefinitions": {
        "BearerAuth": {
            "description": "Put here \"Bearer \u003cyour_jwt_token\u003e\"",
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "0.1",
	Host:             "",
	BasePath:         "/api",
	Schemes:          []string{},
	Title:            "Tinkoff Tours API",
	Description:      "Tinkoff Tours API",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
